Bug 1871676

Summary: Alert rules' states in filter list and rules list table should be consistent
Product: OpenShift Container Platform Reporter: hongyan li <hongyli>
Component: MonitoringAssignee: Andrew Pickering <anpicker>
Status: CLOSED ERRATA QA Contact: hongyan li <hongyli>
Severity: low Docs Contact:
Priority: low    
Version: 4.6CC: alegrand, anpicker, aos-bugs, erooth, jokerman, kakkoyun, lcosic, mloibl, pkrupa, surbania
Target Milestone: ---   
Target Release: 4.6.0   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: No Doc Update
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-10-27 16:31:12 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description hongyan li 2020-08-24 02:25:57 UTC
Description of problem:
Alert rules' states in filter list and rules list table should be consistent

Version-Release number of selected component (if applicable):
4.6.0-0.nightly-2020-08-23-185640

How reproducible:
always

Steps to Reproduce:
1.On ocp console, open monitoring-alerting-alert rules page
2.
3.

Actual results:
Alert rules' states in filter list and rules list table are inconsistent


Expected results:
Alert rules' states in filter list and rules list table should be consistent, 

Additional info:

Comment 3 Andrew Pickering 2020-09-03 12:46:49 UTC
Discovered an issue with the https://github.com/openshift/console/pull/6460 fix, so addressed with follow-up PR https://github.com/openshift/console/pull/6515

Comment 5 hongyan li 2020-09-07 07:38:48 UTC
Test with payload 4.6.0-0.nightly-2020-09-05-015624

Alert rule state is changed from Active/inactive to Firing/Pending/Silenced/Not Firing
Alert rules' states in filter list and rules list table are consistent

Comment 7 errata-xmlrpc 2020-10-27 16:31:12 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6 GA Images), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4196